# What one agent cost the organization this month

Source: <https://everruns.com/docs/api/operations/get_agent_cost/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Operations & billing](https://everruns.com/docs/api/groups/operations-billing/)/What one agent cost the organization this month

# What one agent cost the organization this month

Preview

Operate durable execution, schedules, sandbox infrastructure, budgets, payments and audit logs.

Public APIEverruns Cloud and self-hosted Platform

GET`/v1/agents/{agent_id}/costs`

See [authentication](https://everruns.com/docs/sre/runbooks/authentication/) for credentials and permissions.

## Parameters

### Path Parameters

**agent_id**

required

string

Prefixed public identifier

## Responses

200Success

### 200

Success

Media typeapplication/json

An agent’s cost this month, for the agent page.

object

**agent_id**

required

Agent’s prefixed public identifier.

string

**cost_usd**

required

Priced cost in USD since `from`.

number format: double

**from**

required

Start of this month in the org’s timezone.

string format: date-time

**unpriced_records**

required

Usage records since `from` with no price.

integer format: int64

### Example generated

```json
{
  "agent_id": "example",
  "cost_usd": 1,
  "from": "2026-04-15T12:00:00Z",
  "unpriced_records": 1
}
```

404Agent not found

### 404

Agent not found

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/agents/example/costs';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/agents/example/costs
```

Additional language examples require JavaScript. The default request example is available above.

200404

200 · Success

```json
{
  "agent_id": "string",
  "cost_usd": 0,
  "from": "2026-10-12T09:00:00Z",
  "unpriced_records": 0
}
```

404 · Agent not found

No response body example is declared for this status.

## Matching endpoints